--- title: "View product list" slug: "apigateway-product-getproductlist" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-product-getproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View product list Available in Classic and VPC View the list of products that meet the user-defined conditions. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `offset` | Long | Optional | Starting point of the response data - 0 - 9,223,372,036,854,775,807 - It is used with `limit` to implement pagination | | `limit` | Long | Optional | Maximum number of response data - 1 - 9,223,372,036,854,775,807 - It is used with `offset` to implement pagination | | `productName` | String | Optional | Name of the product to view - 0 - 100 characters | | `isPublished` | Boolean | Optional | Publishing status - `true` \| `false` - `true`: published - `false`: not published | | `subscriptionCode` | String | Optional | Subscription method - `PUBLIC` \| `PROTECTED` - `PUBLIC`: The API can be used by anyone without approval - `PROTECTED`: Publisher approval is required to use the API | | `hasDeployedStage` | Boolean | Optional | Stage creation status - `true` \| `false` - `true`: created - `false`: not created | | `hasStageNotAssociatedWithUsagePlanId` | String | Optional | View excluding stages associated with a specific usage plan - Entering a specific usage plan ID returns APIs that are not related to that usage plan ID | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products?hasDeployedStage=true&isPublished=false&subscriptionCode=PUBLIC' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "initialCount" : 0, "productPage" : { "total" : 6, "content" : [ { "invokeId" : "invokeId", "domainCode" : "domainCode", "productId" : "productId", "isPublished" : true, "modifier" : "modifier", "permission" : "permission", "productName" : "productName", "hasDeployedStage" : true, "subscriptionCode" : "PROTECTED", "isDeleted" : true, "modTime" : "2000-01-23T04:56:07.000+00:00", "tenantId" : "tenantId", "disabled" : true, "productDescription" : "productDescription", "actionName" : "actionName" } ] } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "productPage": { "content": [ { "productId": "***ksk9***", "invokeId": "***ksk9***", "tenantId": "***e230cebc1402ba89b148896951***", "productName": "product", "productDescription": "", "isPublished": false, "subscriptionCode": "PUBLIC", "modifier": "***d3020-5bb7-11ec-bfb8-246e96591***", "domainCode": "PUB", "zoneCode": "PUBLIC", "hasDeployedStage": true } ], "total": 1 }, "initialCount": 4 } ```